import { http } from '@/utils/http';

// 健康数据提交API
export function addApi(data : Object) {
  return http({
    url: '/cxcGwjktb/cxcGwjktb/addData',
    method: 'POST',
    data
  })
}

// 判断是否是三级高血压人员
export function queryIf3rdGxyApi(ldhth : string) { // 根据username获取职位名称和审批领导列表
	return http({
		url: '/cxcGwjktbHmc/cxcGwjktbHmc/queryIf3rdGxy',
		method: 'GET',
		data: {
			ldhth
		}
	})
}

//查询登录人本月随访问题
export function querySfwtApi() {
	return http({
		url: '/jksf.tbb/cxcGwjktbTbb/querySfwtByMonthLdhth',
		method: 'GET'
	})
}

// 提交随访问题
export function editApi(data : object) {
	return http({
		url: '/jksf.tbb/cxcGwjktbTbb/editCxcGwjktbTbbZb',
		method: 'PUT',
		data
	})
}